%global pypi_name colorama

Name:           python-%{pypi_name}
Version:        0.4.6
Release:        %mkrel 5
Summary:        Cross-platform colored terminal text
Group:          Development/Python

License:        BSD
URL:            https://pypi.org/project/colorama/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Cross-platform colored terminal text.

%package -n python3-%{pypi_name}
Summary:        Cross-platform colored terminal text
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Cross-platform colored terminal text.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files colorama

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.4.6-5.mga10
+ Revision: 2236284
- Mageia 10 Mass Rebuild

* Sat Feb 22 2025 wally <wally> 0.4.6-4.mga10
+ Revision: 2150823
- really rebuild for python3.13
- rebuild for python3.13

* Sun Dec 10 2023 papoteur <papoteur> 0.4.6-3.mga10
+ Revision: 2017049
- rebuild for python3.12
- adapt to pyproject

* Thu Dec 07 2023 wally <wally> 0.4.6-2.mga10
+ Revision: 2015164
- rebuild for py3.12
- use %%pyproject_buildrequires

* Wed Feb 08 2023 papoteur <papoteur> 0.4.6-1.mga9
+ Revision: 1939486
- new 0.4.6

* Tue Sep 06 2022 neoclust <neoclust> 0.4.5-1.mga9
+ Revision: 1884430
- New version

* Wed Mar 23 2022 umeabot <umeabot> 0.4.4-4.mga9
+ Revision: 1823113
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 joequant <joequant> 0.4.4-3.mga9
+ Revision: 1781387
- update to python 3.10

* Sun Mar 21 2021 joequant <joequant> 0.4.4-2.mga9
+ Revision: 1706768
- rebuild for python 3.9

* Mon Mar 01 2021 daviddavid <daviddavid> 0.4.4-1.mga9
+ Revision: 1695073
- new version: 0.4.4

* Thu Feb 20 2020 umeabot <umeabot> 0.4.3-2.mga8
+ Revision: 1546023
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.4.3-1.mga8
+ Revision: 1485702
- new version: 0.4.3

* Tue Sep 17 2019 tv <tv> 0.4.1-4.mga8
+ Revision: 1442930
- rebuild for python-3.8

* Mon Sep 16 2019 daviddavid <daviddavid> 0.4.1-3.mga8
+ Revision: 1441798
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 0.4.1-2.mga7
+ Revision: 1350270
- Rebuild for python 3.7

* Mon Dec 24 2018 kekepower <kekepower> 0.4.1-1.mga7
+ Revision: 1344814
- Update to version 0.4.1
- Rename python-colorama to python2-colorama
- Use python_provide

* Thu Sep 20 2018 umeabot <umeabot> 0.3.9-3.mga7
+ Revision: 1288431
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.3.9-2.mga7
+ Revision: 1135344
- Rebuild for python 3.6

* Tue May 16 2017 neoclust <neoclust> 0.3.9-1.mga6
+ Revision: 1101911
- imported package python-colorama

